/* philosopher-regular - latin */
@font-face {
    font-family: 'Philosopher';
    font-style: normal;
    font-weight: 400;
    src: local(''),
        url('../fonts/philosopher-v19-latin-regular.woff2') format('woff2'),
        /* Chrome 26+, Opera 23+, Firefox 39+ */
        url('../fonts/philosopher-v19-latin-regular.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* philosopher-700 - latin */
@font-face {
    font-family: 'Philosopher';
    font-style: normal;
    font-weight: 700;
    src: local(''),
        url('../fonts/philosopher-v19-latin-700.woff2') format('woff2'),
        /* Chrome 26+, Opera 23+, Firefox 39+ */
        url('../fonts/philosopher-v19-latin-700.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

:root {
    --dark-blue: #0A1128;
    --light-blue: #1282A2;
    --blue: #034078;
    --light: #E9E7E8;
    --white: #FEFCFB;

    --main-bg: var(--light);
    --main-color: var(--dark-blue);
    --secondary-bg: var(--blue);
    --secondary-color: var(--light);
    --link-color: var(--dark-blue);
    --link-bg: var(--light);
    --theme-switch-bg: var(--blue);
    --theme-switch-color: var(--light);
}

[data-theme="light"] {
    --main-bg: var(--light);
    --main-color: var(--dark-blue);
    --secondary-bg: var(--blue);
    --secondary-color: var(--light);
    --theme-switch-bg: var(--blue);
    --theme-switch-color: var(--light);
    transition: 2s;
}

[data-theme="dark"] {
    --main-bg: var(--blue);
    --main-color: var(--light);
    --secondary-bg: var(--dark-blue);
    --secondary-color: var(--light);
    --theme-switch-bg: var(--light);
    --theme-switch-color: var(--dark-blue);
    transition: 2s;
}

body {
    display: grid;
    min-height: 100vh;
    min-height: 100dvh;
    font-family: 'Philosopher';
    background-color: var(--main-bg);
    color: var(--main-color);
    font-size: 1.8rem;
}

.theme-switch {
    position: fixed;
    width: 4rem;
    height: 4rem;
    top: 10rem;
    right: 0;
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 1rem;
    padding: .5rem;
    background-color: var(--theme-switch-bg);
    border: 0;
    border-radius: 1rem 0 0 1rem;
    transition: width 1s;
    color: var(--theme-switch-color);
}

.theme-switch svg {
    fill: var(--theme-switch-color);
}

.theme-switch p {
    font-size: 1.2rem;
    justify-self: center;
    display: none;
}

@media (min-width: 1024px) {
    .theme-switch:hover {
        width: 10rem;
        transition: width 1s;
    }

    .theme-switch:hover>p {
        display: block;
    }
}

.main-header,
.main-footer {
    min-height: 5rem;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--secondary-bg);
    color: white;
}

h1 {
    animation-name: displayTitle;
    animation-delay: 1s;
    animation-duration: 2s;
    animation-iteration-count: 1;
}

@keyframes displayTitle {
    from {
        font-size: 0rem;
    }

    to {
        font-size: 3.6rem;
    }
}

.container {
    margin-inline: auto;
    width: 100%;
    max-width: 30rem;
    display: flex;
    justify-content: center;
}

@media (min-width: 768px) {
    .container {
        max-width: 50rem;
    }
}

@media (min-width: 1024px) {
    .container {
        max-width: 80rem;
    }
}

main {
    align-self: stretch;
    min-height: calc(100vh - 8rem);
    display: flex;
}

main .container {
    flex-direction: column;
    align-self: flex-start;
}

section {
    margin-block-start: 9rem;
}

.landing {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.avatar {
    width: 15rem;
    margin-inline: auto;
}

.avatar img {
    border-radius: 2rem;
}

.landing-title {
    margin-block-end: 2rem;
}

.landing-subtitle {
    margin-block: 2rem;
}

@media (min-width: 768px) {
    .avatar {
        width: 15rem;
    }

}

.skills>li {
    margin-inline-start: 2rem;
    margin-block-start: 2rem;
}

.sub-skills>li {
    margin-inline-start: 1rem;
    position: relative;
}

.sub-skills>li::before {
    position: absolute;
    content: attr(data-list-element);
    right: calc(100% + 1rem);
}

.projects {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.project-link {
    text-decoration: none;
    color: var(--link-bg);
    background-color: var(--link-color);
    border: 1px solid var(--link-color);
    padding: .2rem 2rem;
    align-self: center;
    border-radius: 1rem;
    transition-duration: .4s;
}

.project-link:hover {
    color: var(--link-color);
    background-color: var(--link-bg);
    border: 1px solid var(--link-color);
    transition-duration: .4s;
}

.projects-thumbs {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 1rem;
}

.project-img {
    width: 10rem;
    border-radius: 1rem;
}

@media (min-width: 1024px) {
    .project-img {
        width: 15rem;
    }
}

.socials {
    display: flex;
    justify-content: space-around;
    margin-inline: 5rem;
    flex-wrap: wrap;
    margin-block-end: 3rem;
}

.socials li {
    width: 6rem;
    display: flex;
    justify-content: center;
}

.socials svg {
    width: 4rem;
}

.socials-div {
    display: flex;
    justify-content: center;
    margin-block-end: 5rem;
}